Alex Biddle     About     Archive     Feed

Setup Calibre Development Environment in Ubuntu

Compiling Calibre requires several software packages to be installed on Ubuntu. These can be found by looking at the errors when running the Calibre compilation process and running them through apt-cache search. A few are listed below for convenience.

sudo apt-get install qt4-default g++ python-dev libicu-dev libsqlite3-0 libsqlite3-dev libchm-dev libmagickwand-dev libpodofo-dev python-sip-dev sip-dev python-sip-dev python-sip sip-dev python-qt4-dev libqt4-dev libqt4-private-dev libusb-dev libusb++-dev libusb-1.0-0-dev libmtp-dev python-cssselect python-cssutils python-apsw python-dateutil